Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453330 - Updated nagios-plugins.spec for Nagios Plugins 1.4.12
Summary: Updated nagios-plugins.spec for Nagios Plugins 1.4.12
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 19:13 UTC by mail@romal.de
Modified: 2008-07-11 10:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-11 10:38:00 UTC


Attachments (Terms of Use)

Description mail@romal.de 2008-06-29 19:13:30 UTC
I removed two patches. pgsql-fix.patch is listed in upstreams changelog. The
ping-commands in configure have the parameter -w added, but it`s not listed in
changelog.

[romal@localhost SPECS]$ diff nagios-plugins.spec nagios-plugins1412.spec 
2,3c2,3
< Version: 1.4.11
< Release: 4%{?dist}
---
> Version: 1.4.12
> Release: 1%{?dist}
14,15d13
< Patch3: nagios-plugins-1.4.11-ping_timeout.patch
< Patch4: nagios-plugins-1.4.11-pgsql-fix.patch
517,518d514
< %patch3 -p1
< %patch4 -p0
805a802,805
> * Sun Jun 29 2008 Robert M. Albrecht <romal@gmx.de> 1.4.12-1
> - Upstream released version 1.4.12
> - Removed patches ping_timeout.patch and pgsql-fix.patch
> 
[romal@localhost SPECS]$

Comment 1 mail@romal.de 2008-06-30 04:52:42 UTC
I enabled the --with-extra-opts introduced with the release 1.4.12

[romal@localhost SPECS]$ diff -Naur nagios-plugins.spec nagios-plugins1412.spec 
--- nagios-plugins.spec	2008-04-30 23:48:15.000000000 +0200
+++ nagios-plugins1412.spec	2008-06-30 06:49:58.000000000 +0200
@@ -1,6 +1,6 @@
 Name: nagios-plugins
-Version: 1.4.11
-Release: 4%{?dist}
+Version: 1.4.12
+Release: 2%{?dist}
 Summary: Host/service/network monitoring program plugins for Nagios
 
 Group: Applications/System
@@ -11,8 +11,6 @@
 Patch0: nagios-plugins-1.4.3-subst.patch
 Patch1: nagios-plugins-1.4.3-ntpd.patch
 Patch2: nagios-plugins-check_log-path.patch
-Patch3: nagios-plugins-1.4.11-ping_timeout.patch
-Patch4: nagios-plugins-1.4.11-pgsql-fix.patch
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
@@ -514,12 +512,11 @@
 %patch0 -p1
 %patch1 -p0
 %patch2 -p1
-%patch3 -p1
-%patch4 -p0
 
 %build
 %configure \
 	--libexecdir=%{_libdir}/nagios/plugins \
+	--enable-extra-opts \
 	--with-mysql \
 	PATH_TO_QSTAT=%{_bindir}/qstat \
 	PATH_TO_FPING=%{_sbindir}/fping \
@@ -803,6 +800,13 @@
 %{_libdir}/nagios/plugins/utils.sh
 
 %changelog
+* Mon Jun 30 2008 Robert M. Albrecht <romal@gmx.de> 1.4.12-2
+- Enabled --with-extra-opts
+
+* Sun Jun 29 2008 Robert M. Albrecht <romal@gmx.de> 1.4.12-1
+- Upstream released version 1.4.12
+- Removed patches ping_timeout.patch and pgsql-fix.patch
+
 * Wed Apr 30 2008 Mike McGrath <mmcgrath@redhat.com> 1.4.11-4
 - added patch for check_pgsql
 
[romal@localhost SPECS]$ 



Note You need to log in before you can comment on or make changes to this bug.